org.apache.ignite.plugin.security

## Class SecurityCredentialsBasicProvider

- java.lang.Object
- - org.apache.ignite.plugin.security.SecurityCredentialsBasicProvider

All Implemented Interfaces:
  SecurityCredentialsProvider

    public class SecurityCredentialsBasicProvider
    extends Object
    implements SecurityCredentialsProvider

Basic implementation for `SecurityCredentialsProvider`. Use it when custom logic for storing security credentials is not required and it is OK to specify credentials directly in configuration.

### Constructor Summary

Constructors
Constructor and Description
`SecurityCredentialsBasicProvider(SecurityCredentials cred)` Constructs security credentials provider based on security credentials passed in.

### Method Summary

Methods
`SecurityCredentials` `credentials()` Gets security credentials.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityCredentialsBasicProvider

    public SecurityCredentialsBasicProvider(SecurityCredentials cred)

Constructs security credentials provider based on security credentials passed in.

Parameters:
  `cred` - Security credentials.

### Method Detail

#### credentials

    public SecurityCredentials credentials()
                                    throws IgniteCheckedException

Gets security credentials.

Specified by:
  `credentials` in interface `SecurityCredentialsProvider`
Returns:
  Security credentials.
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017